//*****************************************************************************
//*****************************************************************************
//  FILENAME: SD_SPI.h
//   Version: 2.6, Updated on 2009/10/15 at 17:11:37
//  Generated by PSoC Designer 5.0.1127.0
//
//  DESCRIPTION:
//    SD_SPI SPIM User Module header file.
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress Semiconductor 2009. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#include <m8c.h>

#pragma fastcall16  SD_SPI_EnableInt
#pragma fastcall16  SD_SPI_DisableInt
#pragma fastcall16  SD_SPI_Start
#pragma fastcall16  SD_SPI_Stop
#pragma fastcall16  SD_SPI_SendTxData
#pragma fastcall16  SD_SPI_bReadRxData
#pragma fastcall16  SD_SPI_bReadStatus

//-------------------------------------------------
// Prototypes of the SD_SPI API.
//-------------------------------------------------
extern void  SD_SPI_EnableInt(void);
extern void  SD_SPI_DisableInt(void);
extern void  SD_SPI_Start(BYTE bConfiguration);
extern void  SD_SPI_Stop(void);
extern void  SD_SPI_SendTxData(BYTE bTxData);
extern BYTE  SD_SPI_bReadRxData(void);
extern BYTE  SD_SPI_bReadStatus(void);

// Old function prototypes, Do not use
// These will be removed in a future release
#pragma fastcall16 bSD_SPI_ReadRxData
#pragma fastcall16 bSD_SPI_ReadStatus
extern BYTE bSD_SPI_ReadRxData(void);
extern BYTE bSD_SPI_ReadStatus(void);


//-------------------------------------------------
// Constants for SD_SPI API's.
//-------------------------------------------------

#define SD_SPI_INT_REG_ADDR                    ( 0x0e1 )
#define SD_SPI_bINT_MASK                       ( 0x04 )

//*******************************
// SPI Configuration definitions
//*******************************
#define  SD_SPI_SPIM_MODE_0            0x00      // MODE 0 - Leading edge latches data - pos clock
#define  SD_SPI_SPIM_MODE_1            0x02      // MODE 1 - Leading edge latches data - neg clock
#define  SD_SPI_SPIM_MODE_2            0x04      // MODE 2 - Trailing edge latches data - pos clock
#define  SD_SPI_SPIM_MODE_3            0x06      // MODE 3 - Trailing edge latches data - neg clock
#define  SD_SPI_SPIM_LSB_FIRST         0x80      // LSB bit transmitted/received first
#define  SD_SPI_SPIM_MSB_FIRST         0x00      // MSB bit transmitted/received first

//********************************
// SPI Status register masks
//********************************
#define  SD_SPI_SPIM_RX_OVERRUN_ERROR  0x40      // Overrun error in received data
#define  SD_SPI_SPIM_TX_BUFFER_EMPTY   0x10      // TX Buffer register is ready for next data byte
#define  SD_SPI_SPIM_RX_BUFFER_FULL    0x08      // RX Buffer register has received current data
#define  SD_SPI_SPIM_SPI_COMPLETE      0x20      // SPI Tx/Rx cycle has completed

//-------------------------------------------------
// Register Addresses for SD_SPI
//-------------------------------------------------
#pragma ioport  SD_SPI_CONTROL_REG: 0x02b                  //Control register
BYTE            SD_SPI_CONTROL_REG;
#pragma ioport  SD_SPI_SHIFT_REG:   0x028                  //TX Shift Register register
BYTE            SD_SPI_SHIFT_REG;
#pragma ioport  SD_SPI_TX_BUFFER_REG:   0x029              //TX Buffer Register
BYTE            SD_SPI_TX_BUFFER_REG;
#pragma ioport  SD_SPI_RX_BUFFER_REG:   0x02a              //RX Buffer Register
BYTE            SD_SPI_RX_BUFFER_REG;
#pragma ioport  SD_SPI_FUNCTION_REG:    0x128              //Function register
BYTE            SD_SPI_FUNCTION_REG;
#pragma ioport  SD_SPI_INPUT_REG:   0x129                  //Input register
BYTE            SD_SPI_INPUT_REG;
#pragma ioport  SD_SPI_OUTPUT_REG:  0x12a                  //Output register
BYTE            SD_SPI_OUTPUT_REG;

// end of file SD_SPI.h
