;;*****************************************************************************
;;*****************************************************************************
;;  FILENAME: SD_SPI.inc
;;   Version: 2.6, Updated on 2009/10/15 at 17:11:37
;;  Generated by PSoC Designer 5.0.1127.0
;;
;;  DESCRIPTION:
;;    Assembler include file of SD_SPI instance of SPIM
;;    user module.
;;-----------------------------------------------------------------------------
;;  Copyright (c) Cypress Semiconductor 2009. All Rights Reserved.
;;*****************************************************************************
;;*****************************************************************************

; Mask value for global int reg bit for TX instance
SD_SPI_bINT_MASK:             equ 04h
; SPIM interrupt address
SD_SPI_INT_REG:               equ 0e1h

; Do not use, this equate will be removed in a future release
bSD_SPI_INT_MASK:             equ 04h

;--------------------------------------------------
; Register constants and masks
;--------------------------------------------------
SD_SPI_SPIM_MODE_0:             equ   00h      ;MODE 0 - Leading edge latches data - pos clock
SD_SPI_SPIM_MODE_1:             equ   02h      ;MODE 1 - Leading edge latches data - neg clock
SD_SPI_SPIM_MODE_2:             equ   04h      ;MODE 2 - Trailing edge latches data - pos clock
SD_SPI_SPIM_MODE_3:             equ   06h      ;MODE 3 - Trailing edge latches data - neg clock
SD_SPI_SPIM_LSB_FIRST:          equ   80h      ;LSB bit transmitted/received first
SD_SPI_SPIM_MSB_FIRST:          equ   00h      ;MSB bit transmitted/received first

;---------------------------
; SPI Status register masks
;---------------------------
SD_SPI_SPIM_RX_OVERRUN_ERROR:   equ   40h      ;Overrun error in received data
SD_SPI_SPIM_TX_BUFFER_EMPTY:    equ   10h      ;TX Buffer register is ready for next data byte
SD_SPI_SPIM_RX_BUFFER_FULL:     equ   08h      ;RX Buffer register has received current data
SD_SPI_SPIM_SPI_COMPLETE:       equ   20h      ;SPI Tx/Rx cycle has completed

;--------------------------------------------------
; Registers used by SD_SPI
;--------------------------------------------------
SD_SPI_CONTROL_REG: equ 2bh                      ;Control register
SD_SPI_SHIFT_REG:   equ 28h                      ;TX Shift Register register
SD_SPI_TX_BUFFER_REG:   equ 29h                  ;TX Buffer Register
SD_SPI_RX_BUFFER_REG:   equ 2ah                  ;RX Buffer Register
SD_SPI_FUNCTION_REG:    equ 28h                  ;Function register
SD_SPI_INPUT_REG:   equ 29h                      ;Input register
SD_SPI_OUTPUT_REG:  equ 2ah                      ;Output register

; end of file SD_SPI.inc
