//----------------------------------------------------------------------------
// SDcard file access sample program
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "sd.h"

//
//	Main
//
void main(void)
{
	int i;
	int fd;
	char fname[10] = "test.txt";
	char buf[16] = "0123456789\r\n";

	M8C_EnableGInt;
	LED_1_Start();
	LED_2_Start();
	LED_3_Start();
	LED_4_Start();
	LED_1_On();
	LED_2_On();
	LED_3_On();
	LED_4_On();
	
	// Mount
	if (sd_mount(0) < 0) {
		for(;;);
	}
	LED_1_Off();

	SD_SET_DATE(2010,1,1);
	SD_SET_TIME(12,34,56);

	// Open
	if ((fd = sd_open(fname, SD_O_CREAT|SD_O_APPEND, 0)) < 0) {
		for(;;);
	}
	LED_2_Off();

	// Write
	for(i = 0; i < 100; i++) {
//	if (sd_write(fd, buf, 12) <= 0) {
			for(;;);
//		}
	}
	LED_3_Off();

	// Close
	if (sd_close(fd) < 0) {
		for(;;);
	}

	// unmount
	if (sd_unmount() < 0) {
		for(;;);
	}
	LED_4_Off();

	LED_4_Stop();
	LED_3_Stop();
	LED_2_Stop();
	LED_1_Stop();

}
